<template>
  <section class="mt-carte-utilisateur">
    <slot></slot>
  </section>
</template>

<script>
export default {
  name: 'MtFicheUtilisateur',
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.row-2 {
  grid-row: 2 span;
}
.row-3 {
  grid-row: 3 span;
}
.column-2 {
  grid-column: 2 span;
}
.column-3 {
  grid-column: 3 span;
}

.mt-carte-utilisateur {
  display: grid;
  grid-template-columns: auto auto 1fr;
  color: $grey-dark;
  padding: 2.5rem;

  .cell-pastille {
    padding: 0.4rem 1rem 0 1rem;
  }
  .cell-flag {
    color: $grey;
    padding-right: 0.75rem;
    justify-self: center;
  }
  .cell-nom {
    padding-bottom: 0.5em;
  }
  .cell-separateur {
    hr {
      border-bottom: solid 1px $pale-grey-two-2;
      margin: 3rem 0;
    }
  }
  .cell-generique {
    display: grid;
    grid-template-columns: 3fr 2fr;
    align-items: center;
    padding-bottom: 1rem;
    .password {
      margin-left: 0.5em;
      font-size: 2.5rem;
      position: relative;
      top: 0.4rem;
    }
  }

  .mt-profil-list {
    color: $grey-light;
  }
}

@media screen and (max-width: 768px) {
  .mt-carte-utilisateur {
    margin: 0;
    padding-left: 0;
    padding-right: 0;

    .cell-separateur {
      hr {
        margin: 1rem 0;
      }
    }
    .cell-generique {
      grid-template-columns: 1fr;
    }
  }

  .column-2-mobile {
    grid-column: 2 span;
  }

  .column-1-mobile {
    grid-column: 1 span;
  }

  .row-1-mobile {
    grid-row: 1 span;
  }
}
</style>
